import { execSync } from "child_process";
import path from "path";
import fs from "fs";
import { fileURLToPath } from "url";

export const setupGulp = async (dir: string, name: string): Promise<void> => {
  console.log(`Setup Gulp\n`);

  const __filename = fileURLToPath(import.meta.url);
  const __dirname = path.dirname(__filename);
  const gulpFileSrc = path.join(__dirname, "..", "files", "gulpfile.js");
  const gulpFileDest = path.join(dir, "gulpfile.js");

  execSync(
    `cd ${dir} && npm init -y && npm install --save-dev gulp && npm install --global gulp-cli`,
    {
      stdio: "inherit",
    }
  );

  fs.copyFileSync(gulpFileSrc, gulpFileDest);
};
